cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
project(doorkeeper CXX C)

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
	set(ID_IS_ORIGINAL_GNUC "1")
else()
	set(ID_IS_ORIGINAL_GNUC "0")
endif()

configure_file(
	${PROJECT_NAME}_conf.h.in
	${CMAKE_CURRENT_BINARY_DIR}/include/doorkeeper/implem/${PROJECT_NAME}_conf.h
)

add_library(${PROJECT_NAME}
	asciimapsource.cpp
	tylermapsource.cpp
	tiger.c
	typename.cpp
	pixelconv.cpp
)

target_include_directories(${PROJECT_NAME}
	PRIVATE .
	PUBLIC ${CMAKE_CURRENT_BINARY_DIR}/include
)

target_link_libraries(${PROJECT_NAME}
	doorkeeper_lib
)
